org.apache.lucene.spatial.prefix

## Class BytesRefIteratorTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.spatial.prefix.BytesRefIteratorTokenStream

All Implemented Interfaces:
  Closeable, AutoCloseable

Direct Known Subclasses:
  PrefixTreeStrategy.ShapeTokenStream

    public class BytesRefIteratorTokenStream
    extends TokenStream

A TokenStream used internally by `PrefixTreeStrategy`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`BytesRefIteratorTokenStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BytesRefIterator` `getBytesRefIterator()`
`boolean` `incrementToken()`
`void` `reset()`
`BytesRefIteratorTokenStream` `setBytesRefIterator(BytesRefIterator iter)`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BytesRefIteratorTokenStream

    public BytesRefIteratorTokenStream()

### Method Detail

#### getBytesRefIterator

    public BytesRefIterator getBytesRefIterator()

#### setBytesRefIterator

    public BytesRefIteratorTokenStream setBytesRefIterator(BytesRefIterator iter)

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenStream`
Throws:
  `IOException`

#### incrementToken

    public final boolean incrementToken()
                                 throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`